# Cinder

# cinder::cairo::Gradient Class Reference

`#include <Cairo.h>`

Inherits cinder::cairo::Pattern.

Inherited by cinder::cairo::GradientLinear, and cinder::cairo::GradientRadial.

List of all members.

## Public Member Functions
void | addColorStopRgb (double offset, double red, double green, double blue)
void | addColorStopRgba (double offset, double red, double green, double blue, double alpha)
void | addColorStop (double offset, const Color &color)
void | addColorStop (double offset, const ColorA &color)
int | getColorStopCount ()
| Returns the number of color stops specified in the given gradient pattern.
void | getColorStopRgba (int index, double *offset, double *red, double *green, double *blue, double *alpha)
cairo_pattern_t * | getCairoPattern ()
void | setExtend (int extend)
void | setExtendNone ()
void | setExtendRepeat ()
void | setExtendReflect ()
void | setExtendPad ()
int | getExtend () const
void | setFilter (int filter)
int | getFilter () const
void | setMatrix (const Matrix &matrix)
Matrix | getMatrix () const
## Protected Member Functions
| Gradient (cairo_pattern_t *pattern)
## Protected Attributes
cairo_pattern_t * | mCairoPattern

## Constructor & Destructor Documentation

cinder::cairo::Gradient::Gradient | ( | cairo_pattern_t * | pattern | ) | `[protected]`

## Member Function Documentation

void cinder::cairo::Gradient::addColorStopRgb | ( | double | offset,
|  | double | red,
|  | double | green,
|  | double | blue |
| ) |  |  |

void cinder::cairo::Gradient::addColorStopRgba | ( | double | offset,
|  | double | red,
|  | double | green,
|  | double | blue,
|  | double | alpha |
| ) |  |  |

void cinder::cairo::Gradient::addColorStop | ( | double | offset,
|  | const Color & | color |
| ) |  |  |

void cinder::cairo::Gradient::addColorStop | ( | double | offset,
|  | const ColorA & | color |
| ) |  |  |

int cinder::cairo::Gradient::getColorStopCount | ( |  | ) |

Returns the number of color stops specified in the given gradient pattern.

void cinder::cairo::Gradient::getColorStopRgba | ( | int | index,
|  | double * | offset,
|  | double * | red,
|  | double * | green,
|  | double * | blue,
|  | double * | alpha |
| ) |  |  |

cairo_pattern_t* cinder::cairo::Pattern::getCairoPattern | ( |  | ) | `[inherited]`

void cinder::cairo::Pattern::setExtend | ( | int | extend | ) | `[inherited]`

void cinder::cairo::Pattern::setExtendNone | ( |  | ) | `[inherited]`

void cinder::cairo::Pattern::setExtendRepeat | ( |  | ) | `[inherited]`

void cinder::cairo::Pattern::setExtendReflect | ( |  | ) | `[inherited]`

void cinder::cairo::Pattern::setExtendPad | ( |  | ) | `[inherited]`

int cinder::cairo::Pattern::getExtend | ( |  | ) | const`[inherited]`

void cinder::cairo::Pattern::setFilter | ( | int | filter | ) | `[inherited]`

int cinder::cairo::Pattern::getFilter | ( |  | ) | const`[inherited]`

void cinder::cairo::Pattern::setMatrix | ( | const Matrix & | matrix | ) | `[inherited]`

Matrix cinder::cairo::Pattern::getMatrix | ( |  | ) | const`[inherited]`

## Member Data Documentation

cairo_pattern_t* cinder::cairo::Pattern::mCairoPattern`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp